产品 · 购买后对未来文件的访问权限
此操作已停用,返回409且不会修改数据。请通过接收对象选择,为每个数字文件单独设置访问权限。
PATCH
/api/v1/products/{product_id}/file-update-policycURL 请求
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/products/example/file-update-policy \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: files-example-update_policy_api_v1_products__product_id__file_update_policy_patch' \
--header 'Content-Type: application/json' \
--data-raw '{"days":365,"expected_version":1,"mode":"period","months":null}'
响应
{
"error": {
"code": "resource.state_conflict",
"fields": null,
"message": "The current resource state does not allow this operation."
},
"meta": {
"request_id": "example-request"
}
}